package com.pcloud.book.group.entity;

import com.pcloud.common.entity.BaseEntity;
import io.swagger.annotations.ApiModelProperty;

/**
 * @author ruansiyuan
 * @date 2019/10/29 10:21
 */
public class WeixinQrcodeGeneration extends BaseEntity {



    @ApiModelProperty("版本号")
    private Integer generation;

    @ApiModelProperty("微信群ip")
    private String wechatGroupIp;

    @ApiModelProperty("虚拟机ip")
    private String virtualMachineIp;

    public Integer getGeneration() {
        return generation;
    }

    public void setGeneration(Integer generation) {
        this.generation = generation;
    }

    public String getWechatGroupIp() {
        return wechatGroupIp;
    }

    public void setWechatGroupIp(String wechatGroupIp) {
        this.wechatGroupIp = wechatGroupIp;
    }

    public String getVirtualMachineIp() {
        return virtualMachineIp;
    }

    public void setVirtualMachineIp(String virtualMachineIp) {
        this.virtualMachineIp = virtualMachineIp;
    }

    @Override
    public String toString() {
        return "WeixinQrcodeGeneration{" +
                "generation=" + generation +
                ", wechatGroupIp='" + wechatGroupIp + '\'' +
                ", virtualMachineIp='" + virtualMachineIp + '\'' +
                "} " + super.toString();
    }
}
